View Issue Details

IDProjectCategoryView StatusLast Update
0000036Main CAcert Websitewebsite contentpublic2013-01-13 14:48
Reporterhomer Assigned Toduane  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2006 
Summary0000036: #0014: Image Translation
Description
Chris, 2004-11-05

is there any idea about how to translate screenshots and other
images? E.g. the ISS howto on http://www.cacert.org/help.php?id=3
Is there a way to display different images the way gettext works
or would it be easier to have an independent document for each
language.

Duane, 2004-11-05

I'm open to suggestions on this...

> or would it be easier to have an independent document for each language.

I'm guessing this might be the case with GUI screen shots...
Majority of the documentation probably won't contain images...

Chris, 2004-11-05

Quick and dirty might be solution where you encode the language in
the filename and link to the pictures as /images/foo.$LANG.jpg
But there will be a problem for missing languages as there is no
fallback like with gettext.

Another possibiliy could be to save the links directly in the .po-files
and allow the translaters to modify them if they know that there
is a localised picture.

Additional InformationComments

Chris set status to Open, 2005-06-16
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000042 closed Add a link to the HowTo┬┤s, that are available on the Frontpage 

Activities

duane

2006-08-17 04:25

developer   ~0000594

Actually if the howtos are shifting to the wiki it has it's own translation features and you just attach different images to different pages...

Issue History

Date Modified Username Field Change
2005-09-06 19:53 homer New Issue
2006-08-17 04:14 duane Status new => needs work
2006-08-17 04:14 duane Assigned To => duane
2006-08-17 04:25 duane Note Added: 0000594
2006-08-17 04:26 duane Relationship added related to 0000042
2006-08-17 04:27 duane Status needs work => closed
2006-08-17 04:27 duane Resolution open => fixed
2013-01-13 14:48 Werner Dworak Fixed in Version => 2006
2013-01-13 14:48 Werner Dworak Description Updated View Revisions
2013-01-13 14:48 Werner Dworak Additional Information Updated View Revisions